Package ru.bitel.bgbilling.kernel.contract.object.server.bean

# Class ObjectDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ContractObject>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractObject>
ru.bitel.bgbilling.kernel.contract.object.server.bean.ObjectDao

public class ObjectDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractObject>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addObjectParams(Connection con, int objectId, XMLStreamWriter table, ObjectType type)`
  `List<ContractObject>`
  `getActiveObjectList(int contractId)`
  `protected ContractObject`
  `getFromRS(ResultSet rs)`
  `List<ContractObject>`
  `getSuperObjectList(int contractId, boolean showAll)`
  Возвращает объекты договора и супердоговора.
  `void`
  `moveObject(int id, int cidTo)`
  `protected void`
  `updateImpl(ContractObject contractObject)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectDao

    public ObjectDao(Connection con)

- ## Method Details

  - ### getActiveObjectList

    public List<ContractObject> getActiveObjectList(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getSuperObjectList

    public List<ContractObject> getSuperObjectList(int contractId, boolean showAll) throws SQLException
    Возвращает объекты договора и супердоговора. showAll: true - показать все, false - только активные.
    Parameters:
      `contractId` - код договора
      `showAll` - показать все или только активные.
    Returns:
      список объектов
    Throws:
      `SQLException`

  - ### moveObject

    public void moveObject(int id, int cidTo) throws SQLException
    Throws:
      `SQLException`

  - ### addObjectParams

    public static void addObjectParams(Connection con, int objectId, XMLStreamWriter table, ObjectType type) throws XMLStreamException, ru.bitel.bgbilling.common.BGException
    Throws:
      `XMLStreamException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected ContractObject getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractObject>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(ContractObject contractObject) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractObject>`
    Throws:
      `SQLException`